curl --request DELETE \
--url https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"networkId": "62278e49167b6079755aa5e7",
"code": "DC",
"name": "Distribution Center",
"safetyStock": 2,
"rules": {
"locationData.attributes.channel": "Frontline",
"productData.attributes.subclass": {
"$nin": 778942701
}
}
}{
"message": "Invalid request payload or parameter"
}{
"message": "Resource not found. If the issue persists please contact support@fabric.inc."
}{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Delete specific network
Deletes a specific network, with all of its details, by specified network ID. Once deleted, it cannot be undone.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
Network ID
"62278e49167b6079755aa5e7"
Response
OK
Network ID
"62278e49167b6079755aa5e7"
Unique identifier for the network
"DC"
Name of the network
"Distribution Center"
Safety stock count. This indicates the reserve quantity of an item to fulfill an emergency requirement incase of damage of the product that is reserved for sell.
2
Conditional rule specific to location
{
"locationData.attributes.channel": "Frontline",
"productData.attributes.subclass": { "$nin": 778942701 }
}
Was this page helpful?
